package cn.iocoder.yudao.module.bpm.controller.admin.meeting.reserve.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会议室预定管理信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaMeetingReservePageReqVO extends PageParam {
    @Schema(description = "会议室id", example = "4529")
    private Long roomId;

    @Schema(description = "会议名称", example = "赵六")
    private String meetingName;

    @Schema(description = "会议开始时间")
    private String[] startTime;

    @Schema(description = "会议结束时间")
    private String[] endTime;
}