package cn.iocoder.yudao.module.expense.controller.admin.expensetype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 报销类型信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ExpenseTypeRespVO {

    @Schema(description = "主键")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "uuid")
    @ExcelProperty("uuid")
    private String expenseTypeUuid;

    @Schema(description = "报销类型")
    @ExcelProperty("报销类型")
    private String name;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}