package cn.iocoder.yudao.module.employee.api.dto;

import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 员工 Response DTO
 *
 * @author 芋道源码
 */
@Data
public class EmployeeRespDTO {

    /**
     * 员工ID
     */
    private Long id;

    /**
     * 业务UUID
     */
    private String infoId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 职位编号
     */
    private Long postId;

    /**
     * 职位名称
     */
    private String position;

    /**
     * 员工编号
     */
    private String employeeNumber;

    /**
     * 入职时间
     */
    private LocalDate entryDate;

    /**
     * 年假基准天数
     */
    private Integer baseAnnualLeave;
    /**
     * 已使用年假天数
     */
    private Integer usedAnnualLeave;
    /**
     * 剩余年假天数
     */
    private Integer remainingAnnualLeave;

}